Package com.independentsoft.office.odf

# Enum Class MessageType

java.lang.Object
java.lang.Enum<MessageType>
com.independentsoft.office.odf.MessageType

All Implemented Interfaces:
  `Serializable`, `Comparable<MessageType>`, `Constable`

public enum MessageType extends Enum<MessageType>
Represents the display of messages.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INFORMATION`
  Message is displayed as information only.
  `NONE`
  None.
  `STOP`
  Message is displayed as an error and the operation that caused the validation check is stopped.
  `WARNING`
  Message is displayed as a warning.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MessageType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MessageType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STOP

    public static final MessageType STOP
    Message is displayed as an error and the operation that caused the validation check is stopped.

  - ### WARNING

    public static final MessageType WARNING
    Message is displayed as a warning.

  - ### INFORMATION

    public static final MessageType INFORMATION
    Message is displayed as information only.

  - ### NONE

    public static final MessageType NONE
    None.

- ## Method Details

  - ### values

    public static MessageType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MessageType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null